3D-audio plugins building problems

All your LV2 and LADSPA goodness and more.

Moderators: MattKingUSA, khz

Post Reply
User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

3D-audio plugins building problems

Post by TheYke »

Hi folks,
sorry to bother you with newbie-thingies. i want to get into 3D-Audio & Ambisonics in Reaper.
there are some pretty neat plugins out there for multichannel-mixing such as these. they simulate rooms with multichannel-speakers quite effectively so that you can mix in 3D with headphones. good thing is: linux support. unfortunately I cannot get those to build.

I followed the instructions:

Code: Select all

mkdir BUILD

Code: Select all

 cd BUILD 

Code: Select all

ccmake ..
which opens the configure-window where I see the include-directories and switch lv2-build on etc. After configuring there is the following output:

Code: Select all

 CMake Deprecation Warning at CMakeLists.txt:3 (cmake_policy):
   The OLD behavior for policy CMP0026 will be removed from a future version
   of CMake.

   The cmake-policies(7) manual explains that the OLD behaviors of all
   policies are deprecated and that a policy should be set to OLD only under
   specific short-term circumstances.  Projects should be ported to the NEW
   behavior and not rely on setting a policy to OLD.



 CMake Warning (dev) at /usr/share/cmake-3.16/Modules/FindOpenGL.cmake:275 (message):
   Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when
   available.  Run "cmake --help-policy CMP0072" for policy details.  Use the
   cmake_policy command to set the policy and suppress this warning.

   FindOpenGL found both a legacy GL library:

     OPENGL_gl_LIBRARY: /usr/lib/libGL.so

   and GLVND libraries for OpenGL and GLX:

     OPENGL_opengl_LIBRARY: /usr/lib/libOpenGL.so
     OPENGL_glx_LIBRARY: /usr/lib/libGLX.so

   OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for
   compatibility with CMake 3.10 and below the legacy GL library will be used.
 Call Stack (most recent call first):
   CMakeLists.txt:247 (FIND_PACKAGE)
 This warning is for project developers.  Use -Wno-dev to suppress it.
then when i issue

Code: Select all

 make 
I get this Error 2 Output:

Code: Select all

make[1]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird betreten
make[2]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird betreten
Scanning dependencies of target JUCE_STATIC
make[2]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird verlassen
make[2]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird betreten
[  0%] Building CXX object JUCE/CMakeFiles/JUCE_STATIC.dir/modules/juce_audio_basics/juce_audio_basics.cpp.o                                                                        
<Kommandozeile>: Warnung: »JUCE_STANDALONE_APPLICATION« redefiniert
<Kommandozeile>: Anmerkung: dies ist die Stelle der vorherigen Definition
[  0%] Building CXX object JUCE/CMakeFiles/JUCE_STATIC.dir/modules/juce_audio_formats/juce_audio_formats.cpp.o                                                                      
<Kommandozeile>: Warnung: »JUCE_STANDALONE_APPLICATION« redefiniert
<Kommandozeile>: Anmerkung: dies ist die Stelle der vorherigen Definition
[  1%] Building CXX object JUCE/CMakeFiles/JUCE_STATIC.dir/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp.o                                                      
<Kommandozeile>: Warnung: »JUCE_STANDALONE_APPLICATION« redefiniert
<Kommandozeile>: Anmerkung: dies ist die Stelle der vorherigen Definition
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_graphics/juce_graphics.h:109,
                 von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:55,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h: In Elementfunktion »juce::uint8& juce::PixelARGB::getAlpha()«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:113:77: Fehler: das gepackte Feld »((juce::PixelARGB*)this)->juce::PixelARGB::<anonym>.juce::PixelARGB::<unbenanntes union>::comps[3]« kann nicht mit »juce::uint8&« {aka »unsigned char&«} verbunden werden
  113 |     forcedinline uint8& getAlpha() noexcept           { return comps [indexA]; }
      |                                                                ~~~~~~~~~~~~~^
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h: In Elementfunktion »juce::uint8& juce::PixelARGB::getRed()«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:114:77: Fehler: das gepackte Feld »((juce::PixelARGB*)this)->juce::PixelARGB::<anonym>.juce::PixelARGB::<unbenanntes union>::comps[2]« kann nicht mit »juce::uint8&« {aka »unsigned char&«} verbunden werden
  114 |     forcedinline uint8& getRed() noexcept             { return comps [indexR]; }
      |                                                                ~~~~~~~~~~~~~^
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h: In Elementfunktion »juce::uint8& juce::PixelARGB::getGreen()«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:115:77: Fehler: das gepackte Feld »((juce::PixelARGB*)this)->juce::PixelARGB::<anonym>.juce::PixelARGB::<unbenanntes union>::comps[1]« kann nicht mit »juce::uint8&« {aka »unsigned char&«} verbunden werden
  115 |     forcedinline uint8& getGreen() noexcept           { return comps [indexG]; }
      |                                                                ~~~~~~~~~~~~~^
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h: In Elementfunktion »juce::uint8& juce::PixelARGB::getBlue()«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:116:77: Fehler: das gepackte Feld »((juce::PixelARGB*)this)->juce::PixelARGB::<anonym>.juce::PixelARGB::<unbenanntes union>::comps[0]« kann nicht mit »juce::uint8&« {aka »unsigned char&«} verbunden werden
  116 |     forcedinline uint8& getBlue() noexcept            { return comps [indexB]; }
      |                                                                ~~~~~~~~~~~~~^
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:178,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_gui_basics/mouse/juce_LassoComponent.h: In Elementfunktion »void juce::LassoComponent<SelectableItemType>::paint(juce::Graphics&)«:
/home/fex/build/ambix/JUCE/modules/juce_gui_basics/mouse/juce_LassoComponent.h:202:23: Warnung: falsche Verwendung des unvollständigen Typs »class juce::LookAndFeel«
  202 |         getLookAndFeel().drawLasso (g, *this);
      |         ~~~~~~~~~~~~~~^~
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:115:7: Anmerkung: Vorwärtsdeklaration von »class juce::LookAndFeel«
  115 | class LookAndFeel;
      |       ^~~~~~~~~~~
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_graphics/juce_graphics.h:131,
                 von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:55,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h: In Instanziierung von »void juce::RenderingHelpers::EdgeTableFillers::SolidColour<PixelType, replaceExisting>::replaceLine(juce::PixelRGB*, juce::PixelARGB, int) const [mit PixelType = juce::PixelRGB; bool replaceExisting = true]«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:636:17:   erfordert durch »void juce::RenderingHelpers::EdgeTableFillers::SolidColour<PixelType, replaceExisting>::handleEdgeTableLineFull(int, int) const [mit PixelType = juce::PixelRGB; bool replaceExisting = true]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1889:29:   erfordert durch »void juce::RenderingHelpers::ClipRegions<SavedStateType>::RectangleListRegion::SubRectangleIterator::iterate(Renderer&) const [mit Renderer = juce::RenderingHelpers::EdgeTableFillers::SolidColour<juce::PixelRGB, true>; SavedStateType = juce::RenderingHelpers::SoftwareRendererSavedState]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1513:13:   erfordert durch »void juce::RenderingHelpers::EdgeTableFillers::renderSolidFill(Iterator&, const juce::Image::BitmapData&, juce::PixelARGB, bool, DestPixelType*) [mit Iterator = juce::RenderingHelpers::ClipRegions<juce::RenderingHelpers::SoftwareRendererSavedState>::RectangleListRegion::SubRectangleIterator; DestPixelType = juce::PixelRGB]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:2555:67:   erfordert durch »void juce::RenderingHelpers::SoftwareRendererSavedState::fillWithSolidColour(IteratorType&, juce::PixelARGB, bool) const [mit IteratorType = juce::RenderingHelpers::ClipRegions<juce::RenderingHelpers::SoftwareRendererSavedState>::RectangleListRegion::SubRectangleIterator]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1814:13:   erfordert durch »void juce::RenderingHelpers::ClipRegions<SavedStateType>::RectangleListRegion::fillRectWithColour(SavedStateType&, const juce::Rectangle<int>&, juce::PixelARGB, bool) const [mit SavedStateType = juce::RenderingHelpers::SoftwareRendererSavedState]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1811:14:   von hier erfordert
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:681:34: Warnung: die Umwandlung eines gepackten Zeigers auf »juce::PixelRGB« (Ausrichtung 1) in einen Zeiger auf »int« (Ausrichtung 4) führt möglicherweise zu einem nicht ausgerichteten Zeiger [-Waddress-of-packed-member]
  681 |                             int* d = reinterpret_cast<int*> (dest);
      |                                  ^
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_graphics/juce_graphics.h:109,
                 von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:55,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:361:17: Anmerkung: hier definiert
  361 | class JUCE_API  PixelRGB
      |                 ^~~~~~~~
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_graphics/juce_graphics.h:131,
                 von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:55,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h: In Instanziierung von »void juce::RenderingHelpers::EdgeTableFillers::SolidColour<PixelType, replaceExisting>::replaceLine(juce::PixelRGB*, juce::PixelARGB, int) const [mit PixelType = juce::PixelRGB; bool replaceExisting = false]«:
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:636:17:   erfordert durch »void juce::RenderingHelpers::EdgeTableFillers::SolidColour<PixelType, replaceExisting>::handleEdgeTableLineFull(int, int) const [mit PixelType = juce::PixelRGB; bool replaceExisting = false]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1889:29:   erfordert durch »void juce::RenderingHelpers::ClipRegions<SavedStateType>::RectangleListRegion::SubRectangleIterator::iterate(Renderer&) const [mit Renderer = juce::RenderingHelpers::EdgeTableFillers::SolidColour<juce::PixelRGB, false>; SavedStateType = juce::RenderingHelpers::SoftwareRendererSavedState]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1518:13:   erfordert durch »void juce::RenderingHelpers::EdgeTableFillers::renderSolidFill(Iterator&, const juce::Image::BitmapData&, juce::PixelARGB, bool, DestPixelType*) [mit Iterator = juce::RenderingHelpers::ClipRegions<juce::RenderingHelpers::SoftwareRendererSavedState>::RectangleListRegion::SubRectangleIterator; DestPixelType = juce::PixelRGB]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:2555:67:   erfordert durch »void juce::RenderingHelpers::SoftwareRendererSavedState::fillWithSolidColour(IteratorType&, juce::PixelARGB, bool) const [mit IteratorType = juce::RenderingHelpers::ClipRegions<juce::RenderingHelpers::SoftwareRendererSavedState>::RectangleListRegion::SubRectangleIterator]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1814:13:   erfordert durch »void juce::RenderingHelpers::ClipRegions<SavedStateType>::RectangleListRegion::fillRectWithColour(SavedStateType&, const juce::Rectangle<int>&, juce::PixelARGB, bool) const [mit SavedStateType = juce::RenderingHelpers::SoftwareRendererSavedState]«
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:1811:14:   von hier erfordert
/home/fex/build/ambix/JUCE/modules/juce_graphics/native/juce_RenderingHelpers.h:681:34: Warnung: die Umwandlung eines gepackten Zeigers auf »juce::PixelRGB« (Ausrichtung 1) in einen Zeiger auf »int« (Ausrichtung 4) führt möglicherweise zu einem nicht ausgerichteten Zeiger [-Waddress-of-packed-member]
  681 |                             int* d = reinterpret_cast<int*> (dest);
      |                                  ^
In Datei, eingebunden von /home/fex/build/ambix/JUCE/modules/juce_graphics/juce_graphics.h:109,
                 von /home/fex/build/ambix/JUCE/modules/juce_gui_basics/juce_gui_basics.h:55,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/../juce_audio_plugin_client.h:52,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_IncludeModuleHeaders.h:28,
                 von /home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp:31:
/home/fex/build/ambix/JUCE/modules/juce_graphics/colour/juce_PixelFormats.h:361:17: Anmerkung: hier definiert
  361 | class JUCE_API  PixelRGB
      |                 ^~~~~~~~
make[2]: *** [JUCE/CMakeFiles/JUCE_STATIC.dir/build.make:89: JUCE/CMakeFiles/JUCE_STATIC.dir/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp.o] Fehler 1
make[2]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird verlassen
make[1]: *** [CMakeFiles/Makefile2:760: JUCE/CMakeFiles/JUCE_STATIC.dir/all] Fehler 2
make[1]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird verlassen
make: *** [Makefile:84: all] Fehler 2
I'm on manjaro, Kernel 5.4.

I'm pretty sure I got the dependencies and I tried to check the include-directories. any idea how to troubleshoot this? I'm by no means a building expert.

thanks in advance! :)

Kott
Established Member
Posts: 228
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: 3D-audio plugins building problems

Post by Kott »

Hi,

By quick look may advice to try juce_upgrade branch

User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

Re: 3D-audio plugins building problems

Post by TheYke »

Ha, how blind I am. :idea: :roll: Checking this advice as soon as possible!

EDIT: no luck with this one ...

User avatar
davephillips
Established Member
Posts: 532
Joined: Sat Aug 15, 2015 1:05 pm

Re: 3D-audio plugins building problems

Post by davephillips »

Greetings,

Did you run cmake before running ccmake ? Or did you select Generate from ccmake ? I. e. :

Code: Select all

cd BUILD
cmake ../
ccmake .
dp

User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

Re: 3D-audio plugins building problems

Post by TheYke »

basically I create a BUILD directory

Code: Select all

mkdir BUILD
inside the extracted git-archive, and issue

Code: Select all

ccmake ..
from there. this gives possibility to set up the configuration, what I want to build, include-directories etc. In there I hit "c" for configure and then "g" for generate. this generates a makefile inside the BUILd-directory. Then I run the

Code: Select all

make
command with the results above. Am I missing something very basic here? :?

Kott
Established Member
Posts: 228
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: 3D-audio plugins building problems

Post by Kott »

grab the branch
git clone https://github.com/kronihias/ambix -b juce_upgrade

cd ambix and change CMakeLists.txt from line 256 to:

Code: Select all

   FIND_LIBRARY    ( RT_LIBRARY rt )
   FIND_LIBRARY    ( CURL_LIBRARY curl )
   FIND_PACKAGE    (PkgConfig REQUIRED)
   PKG_CHECK_MODULES (GTK3 REQUIRED gtk+-3.0)
   PKG_CHECK_MODULES (GTK3 REQUIRED webkit2gtk-4.0)
   MARK_AS_ADVANCED(GL_LIBRARY GLUT_LIBRARY X11_LIBRARY XEXT_LIBRARY XINERAMA_LIBRARY ASOUND_LIBRARY DL_LIBRARY FREETYPE_LIBRARY PTHREAD_LIBRARY RT_LIBRARY FFTW3F_LIBRARY )

   FIND_PACKAGE    ( FreeType REQUIRED )

   INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS} ${GTK3_INCLUDE_DIRS} ${WEBKIT2_INCLUDE_DIRS} )

   SET ( JUCE_LIBRARIES ${X11_LIBRARY} ${XEXT_LIBRARY} ${XINERAMA_LIBRARY} ${ASOUND_LIBRARY} ${DL_LIBRARY} ${FREETYPE_LIBRARY} ${RT_LIBRARY} ${GLUT_LIBRARY} ${OPENGL_LIBRARIES} ${PTHREAD_LIBRARY} ${CURL_LIBRARY} ${GTK3_LIBRARIES} )

   FIND_LIBRARY    ( LIBSOXR_LIBRARY soxr )

You do not have the required permissions to view the files attached to this post.

User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

Re: 3D-audio plugins building problems

Post by TheYke »

thanks for your help, much appreciated!!
after doing this, the building process manages to get further but stops at

Code: Select all

[ 10%] Building CXX object ambix_binaural/ambix_binaural/CMakeFiles/ambix_binaural_o5.dir/__/__/JUCE/modules/juce_audio_plugin_client/VST/juce_VST_Wrapper.cpp.o
/home/fex/build/ambix/JUCE/modules/juce_audio_plugin_client/VST/juce_VST_Wrapper.cpp:104:10: schwerwiegender Fehler: pluginterfaces/vst2.x/aeffect.h: Datei oder Verzeichnis nicht gefunden
  104 | #include "pluginterfaces/vst2.x/aeffect.h"
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Kompilierung beendet.
make[2]: *** [ambix_binaural/ambix_binaural/CMakeFiles/ambix_binaural_o5.dir/build.make:63: ambix_binaural/ambix_binaural/CMakeFiles/ambix_binaural_o5.dir/__/__/JUCE/modules/juce_audio_plugin_client/VST/juce_VST_Wrapper.cpp.o] Fehler 1
make[2]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird verlassen
make[1]: *** [CMakeFiles/Makefile2:619: ambix_binaural/ambix_binaural/CMakeFiles/ambix_binaural_o5.dir/all] Fehler 2
make[1]: Verzeichnis „/home/fex/build/ambix/BUILD“ wird verlassen
make: *** [Makefile:84: all] Fehler 2
i checked the stated file "juce_VST_Wrapper.cpp" at line 104 and there it says:

Code: Select all

namespace Vst2
{
// If the following files cannot be found then you are probably trying to build
// a VST2 plug-in or a VST2-compatible VST3 plug-in. To do this you must have a
// VST2 SDK in your header search paths or use the "VST (Legacy) SDK Folder"
// field in the Projucer. The VST2 SDK can be obtained from the
// vstsdk3610_11_06_2018_build_37 (or older) VST3 SDK or JUCE version 5.3.2. You
// also need a VST2 license from Steinberg to distribute VST2 plug-ins.
#include "pluginterfaces/vst2.x/aeffect.h"
#include "pluginterfaces/vst2.x/aeffectx.h"
}
seems like it misses the VST2_SDK, right? If this is the case, no problem I got these files. But as I'm a newbie, I'm quite uncertain where to put the path to the directory, so that it can find the SDK? :oops:

Kott
Established Member
Posts: 228
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: 3D-audio plugins building problems

Post by Kott »

according to CMakeLists.txt
it should be in ~/SDKs/VST3/

ls ~/SDKs/VST3/pluginterfaces/vst2.x/
aeffect.h aeffectx.h vstfxstore.h

User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

Re: 3D-audio plugins building problems

Post by TheYke »

Yeey! Thank you very much for your help! Just built the pluggos sucessfully! :mrgreen:
I had to copy the Vst2-SDK files to ~/SDKs/VST3/, then it worked out.
you all rock! thanks

Kott
Established Member
Posts: 228
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: 3D-audio plugins building problems

Post by Kott »

Welcome.
Also, there ambisonic plugins You might like: https://plugins.iem.at/

User avatar
TheYke
Established Member
Posts: 25
Joined: Mon Dec 16, 2019 3:57 pm

Re: 3D-audio plugins building problems

Post by TheYke »

Yeah, thanks for the tip.
These I could build and got installed already. I'm excited to create my first 3D-mixes now :wink:

Post Reply